=pod

=head1 NAME

ERR_remove_thread_state, ERR_remove_state - DEPRECATED

=head1 SYNOPSIS

Deprecated:

 #if OPENSSL_API_COMPAT < 0x10000000L
 void ERR_remove_state(unsigned long pid);
 #endif

 #if OPENSSL_API_COMPAT < 0x10100000L
 void ERR_remove_thread_state(void *);
 #endif

=head1 DESCRIPTION

The functions described here were used to free the error queue
associated with the current or specificed thread.

They are now deprecated and do nothing, as the OpenSSL libraries now
normally do all thread initialisation and deinitialisation
automatically (see L<OPENSSL_init_crypto(3)>).

=head1 RETURN VALUE

The functions described here return no value.

=head1 SEE ALSO

L<err(3)>, L<OPENSSL_init_crypto(3)>

=head1 HISTORY

ERR_remove_state() was deprecated in OpenSSL 1.0.0 when
ERR_remove_thread_state() was introduced.

ERR_remove_thread_state() was deprecated in OpenSSL 1.1.0 when the
thread handling functionality was entirely rewritten.

=cut
